Fix 'refresh' traffic control treatment

git-svn-id: https://shorewall.svn.sourceforge.net/svnroot/shorewall/trunk@2738 fbd18981-670d-0410-9b5c-8dc0c1a9a2bb
This commit is contained in:
teastep 2005-09-28 18:29:11 +00:00
parent 6c76f878a8
commit 68390ca9d6
3 changed files with 34 additions and 30 deletions

View File

@ -3822,12 +3822,13 @@ refresh_tc() {
done < $TMP_DIR/tcrules
else
setup_tc1
fi
f=$(find_file tcstart)
f=$(find_file tcstart)
if [ -x &f ]; then
eval $f
fi
if [ -x $f ]; then
export CONFIG_PATH
eval $f
fi
}

View File

@ -8,6 +8,9 @@ Problems Corrected in 2.5.7:
ADMINISABSENTMINDED=Yes. That traffic is now enabled independent of
the setting of ADMINISABSENTMINDED.
2) The "shorewall refresh" command was clearing traffic shaping but not
reconfiguring it.
Problems Corrected in 2.5.6:
1) The following fatal error could occur at startup:

View File

@ -4,7 +4,7 @@
# (c) 2005 Arne Bernin <arne@ucbering.de>
# published under GPL Version 2
if [ -z "$COMMAND" ]; then
if [ "$SHOREWALL_LIBRARY" != Loaded ]; then
SHOREWALL_DIR=.
SHARED_DIR=/usr/share/shorewall
FUNCTIONS=$SHARED_DIR/functions
@ -13,10 +13,10 @@ if [ -z "$COMMAND" ]; then
ensure_and_save_command()
{
if ! eval $* ; then
[ -n "$TMP_DIR" ] && rm -rf $TMP_DIR
exit 2
fi
if ! eval $* ; then
[ -n "$TMP_DIR" ] && rm -rf $TMP_DIR
exit 2
fi
}
run_and_save_command() { eval $*; }
@ -25,9 +25,9 @@ if [ -z "$COMMAND" ]; then
fatal_error()
{
echo " ERROR: $@" >&2
[ -n "$TMP_DIR" ] && rm -rf $TMP_DIR
exit 2
echo " ERROR: $@" >&2
[ -n "$TMP_DIR" ] && rm -rf $TMP_DIR
exit 2
}
TMP_DIR=